<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* stocks-form-edit.twig */
class __TwigTemplate_42b7d51a6e511c5abfede24e0a00a9b049ceb3099bc168536681394d3af09777 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "stocks-form-edit.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "stocks-form-edit.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_formTitle($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        echo __("Edit Stocks");
    }

    // line 16
    public function block_formButtons($context, array $blocks = [])
    {
        // line 17
        echo "    ";
        echo __("Get Results");
        echo ", formHelpers.requestTab(\"results\"| \"";
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.tab.form", ["tab" => "results", "id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\")
";
    }

    // line 20
    public function block_extra($context, array $blocks = [])
    {
        echo twig_jsonencode_filter($this->getAttribute(($context["module"] ?? null), "templatesAvailable", [], "method"));
    }

    // line 22
    public function block_formHtml($context, array $blocks = [])
    {
        // line 23
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 25
        echo __("General");
        echo "</span></a></li>
            <li><a href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\" data-enlarge=\"1\"><span>";
        // line 26
        echo __("Configuration");
        echo "</span></a></li>
            <li><a href=\"#appearanceTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 27
        echo __("Appearance");
        echo "</span></a></li>
            <li class=\"dropdown\">
                <a class=\"dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 30
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <ul class=\"dropdown-menu\">
                    <li><a href=\"#templatePreset\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 33
        echo __("Preset");
        echo "</span></a></li>
                    <li><a href=\"#templateTab\" class=\"template-override-controls\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 34
        echo __("Main");
        echo "</span></a></li>
                    <li><a href=\"#itemTemplateTab\" class=\"template-override-controls\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 35
        echo __("Item");
        echo "</span></a></li>
                    <li><a href=\"#optionalStylesheetTab\" class=\"template-override-controls\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("Optional Stylesheet");
        echo "</span></a></li>
                    <li><a href=\"#optionalJavascriptTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 37
        echo __("Optional JavaScript");
        echo "</span></a></li>
                    <li><a href=\"#noRecordsMessageTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 38
        echo __("No Records Message");
        echo "</span></a></li>
                </ul>
            </li>
            <li><a href=\"#cachingTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 41
        echo __("Caching");
        echo "</span></a></li>
            <li><a href=\"#results\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 42
        echo __("Results");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"stocksEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 45
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.edit", ["id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\">
                 <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "name"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 52
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                        ";
        echo $context["forms"]->getcheckbox("useDuration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getUseDuration", [], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 56
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        echo $context["forms"]->getnumber("duration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getDuration", [], "method"), ($context["helpText"] ?? null), "duration-fields", "required");
        echo "

                        ";
        // line 60
        ob_start(function () { return ''; });
        echo __("Duration is per page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration specified is per page/item otherwise the widget duration is divided between the number of pages/items.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                        ";
        echo $context["forms"]->getcheckbox("durationIsPerPage", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "durationIsPerPage"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 64
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "
                        ";
        // line 67
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 71
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 72
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 73
($context["inheritOption"] ?? null)]];
        // line 75
        echo "                        ";
        echo $context["forms"]->getdropdown("enableStat", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => $this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method")], "method"), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null));
        echo "
                    </div>
                    
                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 79
        ob_start(function () { return ''; });
        echo __("Stock Symbols");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A comma separated list of Stock Ticker Symbols, e.g. GOOGL,NVDA,AMZN. For the best results enter no more than 5 items.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        ";
        echo $context["forms"]->getinput("items", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "items"], "method"), ($context["helpText"] ?? null), "", "required");
        echo "                
                    </div>

                    <div class=\"tab-pane\" id=\"appearanceTab\">
                        ";
        // line 85
        ob_start(function () { return ''; });
        echo __("Background Colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The selected effect works best with a background colour. Optionally add one here.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                        ";
        echo $context["forms"]->getinput("backgroundColor", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "backgroundColor"], "method"), ($context["helpText"] ?? null), "background-color-group");
        echo "
                        
                        ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Date Format");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter the date format to apply to all dates returned: d - day in numbers; 01 to 31 / D - day of the week as text; Mon to Sun; m - month in numbers; 01 to 12 /M - month in text; Jan to Dec - year in two digits; 19 / Y - year in four digits; 2019");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        echo $context["forms"]->getinput("dateFormat", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "dateFormat"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 93
        ob_start(function () { return ''; });
        echo __("Effect");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the effect that will be used to transition between items. If all items should be output, select None. Marquee effects are CPU intensive and may not be suitable for lower power displays.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade");
        $context["fade"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade Out");
        $context["fadeout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Horizontal");
        $context["scrollHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Vertical");
        $context["scrollVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 100
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Horizontal");
        $context["flipHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Vertical");
        $context["flipVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Shuffle");
        $context["shuffle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Slide");
        $context["tileSlide"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 104
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Blind");
        $context["tileBlind"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Left");
        $context["marqueeLeft"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Right");
        $context["marqueeRight"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 107
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Up");
        $context["marqueeUp"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 108
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Down");
        $context["marqueeDown"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 109
        echo "                        ";
        $context["options"] = [0 => ["effectid" => "none", "effect" =>         // line 110
($context["noneOption"] ?? null)], 1 => ["effectid" => "fade", "effect" =>         // line 111
($context["fade"] ?? null)], 2 => ["effectid" => "fadeout", "effect" =>         // line 112
($context["fadeout"] ?? null)], 3 => ["effectid" => "scrollHorz", "effect" =>         // line 113
($context["scrollHorz"] ?? null)], 4 => ["effectid" => "scrollVert", "effect" =>         // line 114
($context["scrollVert"] ?? null)], 5 => ["effectid" => "flipHorz", "effect" =>         // line 115
($context["flipHorz"] ?? null)], 6 => ["effectid" => "flipVert", "effect" =>         // line 116
($context["flipVert"] ?? null)], 7 => ["effectid" => "shuffle", "effect" =>         // line 117
($context["shuffle"] ?? null)], 8 => ["effectid" => "tileSlide", "effect" =>         // line 118
($context["tileSlide"] ?? null)], 9 => ["effectid" => "tileBlind", "effect" =>         // line 119
($context["tileBlind"] ?? null)]];
        // line 121
        echo "                        ";
        echo $context["forms"]->getdropdown("effect", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "effect"], "method"), ($context["options"] ?? null), "effectid", "effect", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 123
        ob_start(function () { return ''; });
        echo __("Speed");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 124
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The transition speed of the selected effect in milliseconds (normal = 1000) or the Marquee Speed in a low to high scale (normal = 1).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        echo $context["forms"]->getnumber("speed", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "speed"], "method"), ($context["helpText"] ?? null), "effect-controls");
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templatePreset\">
                        ";
        // line 129
        ob_start(function () { return ''; });
        echo __("Template");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template you would like to apply. This can be overridden using the check box below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                        ";
        echo $context["forms"]->getdropdown("templateId", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "templateId"], "method"), $this->getAttribute(($context["module"] ?? null), "templatesAvailable", [], "method"), "id", "value", ($context["helptext"] ?? null), "template-selector-control selectPicker selectPickerWithImage", null, null, null, [0 => ["name" => "data-minimum-results-for-search", "value" => "Infinity"], 1 => ["name" => "data-width", "value" => "100%"]], null, "image");
        echo "

                        ";
        // line 133
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 135
        echo "                        ";
        echo $context["forms"]->getcheckbox("overrideTemplate", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "overrideTemplate", 1 => 0], "method"), ($context["helpText"] ?? null));
        echo "
                        
                        ";
        // line 137
        ob_start(function () { return ''; });
        // line 138
        echo "                        ";
        echo __("With Override the Template selected enter your own text, html and css by using the Templates drop down menu in the tab header above.");
        echo "                     
                        ";
        $context["useTemplatesMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 140
        echo "                        ";
        echo $context["forms"]->getmessage(($context["useTemplatesMessage"] ?? null), "template-override-controls");
        echo "

                        ";
        // line 142
        ob_start(function () { return ''; });
        echo __("Items per Page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended number of items on each page.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        echo $context["forms"]->getnumber("maxItemsPerPage", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "maxItemsPerPage", 1 => ($context["undefined"] ?? null)], "method"), ($context["helpText"] ?? null), "template-override-controls", "required");
        echo "

                        ";
        // line 146
        ob_start(function () { return ''; });
        echo __("Original Width");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended width of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                        ";
        echo $context["forms"]->getnumber("widgetOriginalWidth", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "widgetOriginalWidth", 1 => ($context["undefined"] ?? null)], "method"), ($context["helpText"] ?? null), "template-override-controls", "", "number");
        echo "

                        ";
        // line 150
        ob_start(function () { return ''; });
        echo __("Original Height");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended height of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                        ";
        echo $context["forms"]->getnumber("widgetOriginalHeight", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "widgetOriginalHeight", 1 => ($context["undefined"] ?? null)], "method"), ($context["helpText"] ?? null), "template-override-controls", "", "number");
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templateTab\">
                        <div class=\"form-content-title container-fluid text-right\">
                            <h4 class=\"col-xs-6 text-left\">";
        // line 157
        echo __("Main Template");
        echo "</h4>
                            <input type=\"checkbox\" class=\"col-xs-6 pull-right bootstrap-switch-target\" id=\"mainTemplate_advanced\" name=\"mainTemplate_advanced\" ";
        // line 158
        if (($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "mainTemplate_advanced", 1 => 0], "method") == 1)) {
            echo "checked";
        }
        echo " 
                                data-size=\"small\" 
                                data-label-text=\"";
        // line 160
        echo __("Visual editor");
        echo "\" 
                                data-label-width=\"80px\" 
                                data-on-text=\"";
        // line 162
        echo __("On");
        echo "\" 
                                data-off-text=\"";
        // line 163
        echo __("Off");
        echo "\">
                        </div>
                        
                        <div class=\"editor-messages\">
                            ";
        // line 167
        ob_start(function () { return ''; });
        // line 168
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 170
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage"] ?? null), "mainTemplate-advanced-editor-hide");
        echo "

                            ";
        // line 172
        ob_start(function () { return ''; });
        // line 173
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 174
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 175
        echo "                            ";
        $context["simpleTextEditorMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 176
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage2"] ?? null), "mainTemplate-advanced-editor-show");
        echo "
                        </div>

                        ";
        // line 179
        echo $context["forms"]->gettextarea("mainTemplate", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "mainTemplate"], "method"), "", "", "", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"itemTemplateTab\">
                        <div class=\"form-content-title container-fluid text-right\">
                            <h4 class=\"col-xs-6 text-left\">";
        // line 184
        echo __("Item Template");
        echo "</h4>
                            <input type=\"checkbox\" class=\"col-xs-6 pull-right bootstrap-switch-target\" id=\"itemTemplate_advanced\" name=\"itemTemplate_advanced\" ";
        // line 185
        if (($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "itemTemplate_advanced", 1 => 0], "method") == 1)) {
            echo "checked";
        }
        echo " 
                                data-size=\"small\" 
                                data-label-text=\"";
        // line 187
        echo __("Visual editor");
        echo "\" 
                                data-label-width=\"80px\" 
                                data-on-text=\"";
        // line 189
        echo __("On");
        echo "\" 
                                data-off-text=\"";
        // line 190
        echo __("Off");
        echo "\">
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 194
        ob_start(function () { return ''; });
        // line 195
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 197
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage"] ?? null), "itemTemplate-advanced-editor-hide");
        echo "

                            ";
        // line 199
        ob_start(function () { return ''; });
        // line 200
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 201
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 202
        echo "                            ";
        $context["simpleTextEditorMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 203
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage2"] ?? null), "itemTemplate-advanced-editor-show");
        echo "
                        </div>
                        
                        ";
        // line 206
        ob_start(function () { return ''; });
        echo __("Enter the template for each item. Replaces [itemsTemplate] in main template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 207
        echo "                        ";
        echo $context["forms"]->gettextarea("itemTemplate", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "itemTemplate"], "method"), ($context["helpText"] ?? null), "", "", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\"> 
                        <div class=\"form-content-title\">
                            <h4>";
        // line 212
        echo __("Optional Stylesheet");
        echo "</h4>
                        </div>
                        
                        ";
        // line 215
        echo $context["forms"]->gettextarea("styleSheet", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "styleSheet"], "method"), "", "", "", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalJavascriptTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 220
        echo __("Optional JavaScript");
        echo "</h4>
                        </div>
                        
                        ";
        // line 223
        echo $context["forms"]->gettextarea("javaScript", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "javaScript"], "method"), "", "", "", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"noRecordsMessageTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 228
        echo __("No Records");
        echo "</h4>
                        </div>

                        ";
        // line 231
        ob_start(function () { return ''; });
        echo __("Message");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 232
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A message to display when there are no records returned by the search query");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 233
        echo "                        ";
        echo $context["forms"]->getinput("noRecordsMessage", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "noTweetsMessage"], "method"), ($context["helpText"] ?? null));
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"cachingTab\">
                        ";
        // line 237
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 238
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 239
        echo "                        ";
        echo $context["forms"]->getnumber("updateInterval", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 60], "method"), ($context["helpText"] ?? null), "", "required");
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"results\"></div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "stocks-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  693 => 239,  688 => 238,  684 => 237,  676 => 233,  671 => 232,  667 => 231,  661 => 228,  653 => 223,  647 => 220,  639 => 215,  633 => 212,  624 => 207,  620 => 206,  613 => 203,  610 => 202,  607 => 201,  604 => 200,  602 => 199,  596 => 197,  590 => 195,  588 => 194,  581 => 190,  577 => 189,  572 => 187,  565 => 185,  561 => 184,  553 => 179,  546 => 176,  543 => 175,  540 => 174,  537 => 173,  535 => 172,  529 => 170,  523 => 168,  521 => 167,  514 => 163,  510 => 162,  505 => 160,  498 => 158,  494 => 157,  485 => 152,  480 => 151,  476 => 150,  470 => 148,  465 => 147,  461 => 146,  455 => 144,  450 => 143,  446 => 142,  440 => 140,  434 => 138,  432 => 137,  426 => 135,  421 => 134,  417 => 133,  411 => 131,  406 => 130,  402 => 129,  394 => 125,  389 => 124,  385 => 123,  379 => 121,  377 => 119,  376 => 118,  375 => 117,  374 => 116,  373 => 115,  372 => 114,  371 => 113,  370 => 112,  369 => 111,  368 => 110,  366 => 109,  361 => 108,  356 => 107,  351 => 106,  346 => 105,  341 => 104,  336 => 103,  331 => 102,  326 => 101,  321 => 100,  316 => 99,  311 => 98,  306 => 97,  301 => 96,  296 => 95,  291 => 94,  287 => 93,  281 => 91,  276 => 90,  272 => 89,  266 => 87,  261 => 86,  257 => 85,  249 => 81,  244 => 80,  240 => 79,  232 => 75,  230 => 73,  229 => 72,  228 => 71,  226 => 70,  221 => 69,  216 => 68,  212 => 67,  209 => 66,  204 => 65,  200 => 64,  194 => 62,  189 => 61,  185 => 60,  179 => 58,  174 => 57,  170 => 56,  164 => 54,  159 => 53,  155 => 52,  149 => 50,  144 => 49,  140 => 48,  134 => 45,  128 => 42,  124 => 41,  118 => 38,  114 => 37,  110 => 36,  106 => 35,  102 => 34,  98 => 33,  92 => 30,  86 => 27,  82 => 26,  78 => 25,  74 => 23,  71 => 22,  65 => 20,  56 => 17,  53 => 16,  48 => 13,  45 => 12,  40 => 9,  38 => 10,  32 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "stocks-form-edit.twig", "/home/mgatv524/public_html/edurocha/modules/stocks-form-edit.twig");
    }
}
